import { jsx } from "react/jsx-runtime";
import { TokenTREE as TokenTREE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenTREE = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "TREE", "data-name": "TokenTREE", ...props, children: /* @__PURE__ */ jsx(TokenTREE$1, { variant }) });
  }
);
TokenTREE.displayName = "TokenTREE";
Object.assign(TokenTREE, { isGdsIcon: true });
export {
  TokenTREE
};
